-- Rain "Manager" Particle
function Create(self)

	self.lifeTimer = Timer();
	self.spawnTimer = Timer();

	self.duration = self.Mass;
	self.Mass = 1;

	--self.particleDelay = 60/self.Sharpness;
	self.particleDelay = 1
	self.Sharpness = 0;

	self.particleVel = self.Pos;
	self.Pos = Vector(0,0);

end

function Update(self)
	self.PinStrength = 1000;
	self.ToDelete = false;
	self.ToSettle = false;
	self:NotResting();
	if self.spawnTimer:IsPastSimMS(self.particleDelay) then
		self.spawnTimer:Reset();
		for i = 1, 5 do
			local weatherpar = CreateMOPixel("Particle Blood Rain Drop","Missions - Earth.rte");
			weatherpar.Pos = Vector(math.random(0,SceneMan.SceneWidth),-40);
			weatherpar.Vel = self.particleVel;
			MovableMan:AddParticle(weatherpar);
		end
	end
end