function Create(self)
    --The Y coordinate at which to hover.
    self.hoverY = self.Pos.Y - 12;

    --If the train has crashed or not.
    self.crashed = false;
	
	self.HoverTimer = Timer()
	self.HoverTimer:Reset()
end

function Update(self)
    --If the train hasn't crashed...
    if self.Health > 0 then
		--This makes it hover.
		self.Vel.Y = self.Vel.Y - ((self.Pos.Y - self.hoverY)) / 35;

		--This makes sure it's hovering around the right spot.
		self.Pos.Y = ((self.Pos.Y * 9) + self.hoverY) / 10;
		
		if self.HoverTimer:IsPastSimMS(1500) then
			self.Vel.Y = -10 + math.random(10)
			self.HoverTimer:Reset()
		end
	end
end

function Destroy(self)
end